Index: /trunk/workflow/inc/local/classes/class.wf_date.php
===================================================================
--- /trunk/workflow/inc/local/classes/class.wf_date.php	(revision 5921)
+++ /trunk/workflow/inc/local/classes/class.wf_date.php	(revision 7655)
@@ -213,15 +213,15 @@
 		// Adiciona os anos
 		$years = intval($years);
-		for ($i = 1; $i <= $years; $i++) {
-			$year++;
+		for ($i = 1; $i <= $years; ++$i) {
+			++$year;
 			$daysInc += ($this->isLeapYear($year)) ? 366 : 365;
 		}
 		// Adiciona os meses de acordo com o número de dias em cada um
 		$months = intval($months);
-		for ($i = 1; $i <= $months; $i++) {
+		for ($i = 1; $i <= $months; ++$i) {
 			$mTemp = $i % 12 - 1;
 			$yTemp = intval($i / 12);
 			if (($month + $mTemp) > 12) {
-				$yTemp++;
+				++$yTemp;
 				$mTemp = ($month + $mTemp) - 12;
 			} else {
@@ -286,5 +286,5 @@
 		$daysDec = 0;
 		// Adiciona os anos
-		for ($i = 1; $i <= $years; $i++) {
+		for ($i = 1; $i <= $years; ++$i) {
 			$s = ($this->isLeapYear($year)) ? 366 : 365;
 			$daysDec += ($this->isLeapYear($year)) ? 366 : 365;
@@ -292,9 +292,9 @@
 		}		
 		// Adiciona os meses de acordo com os dias de cada mês
-		for ($i = 1; $i <= $months; $i++) {
+		for ($i = 1; $i <= $months; ++$i) {
 			$mTemp = $i % 12;
 			$yTemp = intval($i / 12);
 			if (($month - $mTemp) <= 0) {
-				$yTemp++;
+				++$yTemp;
 				$mTemp = 12 + ($month - $mTemp);
 			} else {
@@ -611,5 +611,5 @@
             if ($year++ == 99) {
                 $year = 0;
-                $century++;
+                ++$century;
             }
         }
Index: /trunk/workflow/inc/local/classes/class.wf_ldap.php
===================================================================
--- /trunk/workflow/inc/local/classes/class.wf_ldap.php	(revision 3167)
+++ /trunk/workflow/inc/local/classes/class.wf_ldap.php	(revision 7655)
@@ -142,5 +142,5 @@
 		/* prepara a saída */
 		$output = array();
-		for ($i = 0; $i < $result['count']; $i++)
+		for ($i = 0; $i < $result['count']; ++$i)
 			$output[] = array(
 				'id' => $result[$i]['uidnumber'][0],
Index: /trunk/workflow/inc/class.powergraphic.inc.php
===================================================================
--- /trunk/workflow/inc/class.powergraphic.inc.php	(revision 6037)
+++ /trunk/workflow/inc/class.powergraphic.inc.php	(revision 7655)
@@ -405,5 +405,5 @@
 
             unset($temp[$index]);
-            $i++;
+            ++$i;
         }
 
@@ -464,5 +464,5 @@
             imagestring($this->img, 3, ($this->graphic_area_x1-$less-7), ($higher_value_y-7), $this->higher_value_str, $this->color['axis_values']);
 
-            for ($i = 1; $i < 10; $i++)
+            for ($i = 1; $i < 10; ++$i)
             {
                 $dec_y = $i * ($higher_value_size / 10);
@@ -503,5 +503,5 @@
             imagestring($this->img, 3, (($this->graphic_area_x1+$higher_value_size) - ($this->string_width($this->higher_value, 3)/2)), ($this->graphic_area_y2+2), $this->higher_value_str, $this->color['axis_values']);
 
-            for ($i = 1, $alt = 15; $i < 10; $i++)
+            for ($i = 1, $alt = 15; $i < 10; ++$i)
             {
                 $dec_x = number_format(round($i * ($higher_value_size  / 10), 1), 1, ".", "");
@@ -561,5 +561,5 @@
                 $y2   = $this->graphic_area_y2 - 1;
                 $x   += $this->space_between_bars;
-                $num++;
+                ++$num;
 
                 imageline($this->img, ($x1+1), ($y1-1), $x2, ($y1-1), $this->color['bars_shadow']);
@@ -950,5 +950,5 @@
                 imagestring($this->img, 2, ($x2-$less), ($y-2), $percent, $this->color['axis_values']);
                 $y += 14;
-                $num++;
+                ++$num;
             }
         }
@@ -1281,5 +1281,5 @@
     <span style="margin-left: 40px;">Parameter</span> 
     <span style="margin-left: 50px;">Value 1</span>  <span id="value_2" style="display: none; margin-left: 25px;">Value 2</span>';
-        for ($i = 0; $i <= 4; $i++) {
+        for ($i = 0; $i <= 4; ++$i) {
             echo '<div style="margin-left: 8px;"> '.($i+1).'. <input type="text" name="x'.$i.'" id="x'.$i.'" size="20" /> ';
             echo ' <input type="text" name="y'.$i.'" id="y'.$i.'" size="10" onkeypress="return numbers();" /> ';
Index: /trunk/workflow/inc/class.utils.string.php
===================================================================
--- /trunk/workflow/inc/class.utils.string.php	(revision 5934)
+++ /trunk/workflow/inc/class.utils.string.php	(revision 7655)
@@ -481,5 +481,5 @@
 		if (!empty($str)) {
 			$w = preg_split("/\s+/", $str);
-			for ($i=0, $s=sizeof($w); $i<$s; $i++) {
+			for ($i=0, $s=sizeof($w); $i<$s; ++$i) {
 				if (empty($w[$i]))
 					continue;
@@ -631,5 +631,5 @@
 		$processed = '';
 		$paragraphs = explode("\n", $str);
-		for ($i=0; $i<sizeof($paragraphs); $i++) {
+		for ($i=0; $i<sizeof($paragraphs); ++$i) {
 			$processed .= $this->wrapLine($paragraphs[$i], $num, $breakString) . $breakString;
 		}
@@ -656,5 +656,5 @@
 		$indent = max($width, $indent);
 		// gera a numeraï¿œï¿œo de linhas da string
-		for ($i = 0; $i < $size; $i++) {
+		for ($i = 0; $i < $size; ++$i) {
 			$line[$i] = str_pad((string)($i + $start), $indent, ' ', STR_PAD_LEFT) . $afterNumberChar . ' ' . trim($line[$i]);
 		}
Index: /trunk/workflow/inc/class.workflow_processmanager.inc.php
===================================================================
--- /trunk/workflow/inc/class.workflow_processmanager.inc.php	(revision 3167)
+++ /trunk/workflow/inc/class.workflow_processmanager.inc.php	(revision 7655)
@@ -390,5 +390,6 @@
 			$transitions=Array();
 			$jobs = array();
-			for($i=0;$i<count($this->tree[1]['children']);$i++) {
+            $tree_count = count($this->tree[1]['children']);
+			for($i=0;$i<$tree_count;++$i) {
 			  // Process attributes
 			  $z=$this->tree[1]['children'][$i];
@@ -397,10 +398,12 @@
 			  //config values
 			  if ($name=='configs') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is a config $name = $this->tree[$z2]['name'];
 				  $aux = Array();
 				  if($this->tree[$z2]['name']=='config') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -414,10 +417,12 @@
 			  //activities
 			  elseif($name=='activities') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is an activity $name = $this->tree[$z2]['name'];
 				  $aux = Array();
 				  if($this->tree[$z2]['name']=='activity') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z2_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z2_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -425,5 +430,6 @@
 					  if($name=='roles') {
 						$roles=Array();
-						for($l=0;$l<count($this->tree[$z3]['children']);$l++) {
+                        $tree_z3_count = count($this->tree[$z3]['children']);
+						for($l=0;$l<$tree_z3_count;++$l) {
 						  $z4 = $this->tree[$z3]['children'][$l];
 						  $name = trim($this->tree[$z4]['name']);
@@ -445,5 +451,6 @@
 					  {
 						$agents=Array();
-						for($l=0;$l<count($this->tree[$z3]['children']);$l++) 
+                        $tree_z3_count = count($this->tree[$z3]['children']);
+						for($l=0;$l<$tree_z3_count;++$l)
 						{
 						  $z4 = $this->tree[$z3]['children'][$l];
@@ -453,5 +460,6 @@
 						  {
 							$agent = array();
-							for($m=0;$m<count($this->tree[$z4]['children']);$m++)
+                            $tree_z4_count = count($this->tree[$z4]['children']);
+							for($m=0;$m<$tree_z4_count;++$m)
 							{
 							  $z5 = $this->tree[$z4]['children'][$m];
@@ -466,5 +474,6 @@
 							  elseif ($name=='agent_datas') 
 							  {
-								for($n=0;$n<count($this->tree[$z5]['children']);$n++)
+                                $tree_z5_count = count($this->tree[$z5]['children']);
+								for($n=0;$n<$tree_z5_count;++$n)
 								{
 								  $z6 = $this->tree[$z5]['children'][$n];
@@ -474,5 +483,6 @@
 								  if ($name=='agent_data')
 								  {
-									for($o=0;$o<count($this->tree[$z6]['children']);$o++)
+                                    $tree_z6_count = count($this->tree[$z6]['children']);
+									for($o=0;$o<$tree_z6_count;++$o)
 									{
 									  $z7 = $this->tree[$z6]['children'][$o];
@@ -510,10 +520,12 @@
 				}
 			  } elseif($name=='transitions') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is an activity $name = $this->tree[$z2]['name'];
 				  $aux=Array();
 				  if($this->tree[$z2]['name']=='transition') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z2_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z2_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -527,10 +539,12 @@
 				}
 			  } elseif($name=='includes') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is an activity $name = $this->tree[$z2]['name'];
 				  $aux=Array();
 				  if($this->tree[$z2]['name']=='include') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z2_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z2_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -542,10 +556,12 @@
 				}
 			  } elseif($name=='templates') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is an activity $name = $this->tree[$z2]['name'];
 				  $aux=Array();
 				  if($this->tree[$z2]['name']=='template') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z2_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z2_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -557,10 +573,12 @@
 				}
 			  } elseif($name=='resources') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 				  $z2 = $this->tree[$z]['children'][$j];
 				  // this is an activity $name = $this->tree[$z2]['name'];
 				  $aux=Array();
 				  if($this->tree[$z2]['name']=='resource') {
-					for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                    $tree_z2_count = count($this->tree[$z2]['children']);
+					for($k=0;$k<$tree_z2_count;++$k) {
 					  $z3 = $this->tree[$z2]['children'][$k];
 					  $name = trim($this->tree[$z3]['name']);
@@ -572,20 +590,21 @@
 				}
 			  }
-			  elseif ($name == 'jobs')
-			  {
-          for ($j = 0; $j < count($this->tree[$z]['children']); $j++)
-          {
-            $job = array();
-				    $jobIndex = $this->tree[$z]['children'][$j];
-            if($this->tree[$jobIndex]['name'] == 'job')
-            {
-              for ($k = 0; $k < count($this->tree[$jobIndex]['children']); $k++)
-              {
-                $propertyIndex = $this->tree[$jobIndex]['children'][$k];
-                $job[trim($this->tree[$propertyIndex]['name'])] = trim($this->tree[$propertyIndex]['data']);
-              }
-            }
-            $jobs[] = $job;
-          }
+			  elseif ($name == 'jobs'){
+                  $tree_z_count = count($this->tree[$z]['children']);
+                  for ($j = 0; $j < $tree_z_count; ++$j)
+                  {
+                    $job = array();
+                            $jobIndex = $this->tree[$z]['children'][$j];
+                    if($this->tree[$jobIndex]['name'] == 'job')
+                    {
+                      $tree_jobIndex_count = count($this->tree[$jobIndex]['children']);
+                      for ($k = 0; $k < $tree_jobIndex_count; ++$k)
+                      {
+                        $propertyIndex = $this->tree[$jobIndex]['children'][$k];
+                        $job[trim($this->tree[$propertyIndex]['name'])] = trim($this->tree[$propertyIndex]['data']);
+                      }
+                    }
+                    $jobs[] = $job;
+                  }
 			  }
 			  else {
Index: /trunk/workflow/inc/natural/class.natural.php
===================================================================
--- /trunk/workflow/inc/natural/class.natural.php	(revision 3167)
+++ /trunk/workflow/inc/natural/class.natural.php	(revision 7655)
@@ -391,5 +391,5 @@
 	 {
 	 	//$rows = explode("%NAT_SEP%", wordwrap($this->dataParameter, $lineSize, "%NAT_SEP%"));
-	 	for ($i=0; $i < strlen($this->dataParameter)/$lineSize; $i++){
+	 	for ($i=0; $i < strlen($this->dataParameter)/$lineSize; ++$i){
 	 		$rows[] = substr($this->dataParameter, $lineSize*$i , $lineSize);
 	 	}
Index: /trunk/workflow/inc/natural/pos_string.php
===================================================================
--- /trunk/workflow/inc/natural/pos_string.php	(revision 795)
+++ /trunk/workflow/inc/natural/pos_string.php	(revision 7655)
@@ -122,5 +122,5 @@
 					}
 					$dataS .= $this->mountString($fieldDef['fields'], $value);
-					$iz++;
+					++$iz;
 				}
 			}
@@ -178,5 +178,5 @@
 						$data[$fieldName][$iz] = $this->mountResult($fieldDef['fields'], $string, $pt);
 					}
-					$iz++;
+					++$iz;
 				}
 			}
Index: /trunk/workflow/inc/class.utils.type.php
===================================================================
--- /trunk/workflow/inc/class.utils.type.php	(revision 795)
+++ /trunk/workflow/inc/class.utils.type.php	(revision 7655)
@@ -104,5 +104,5 @@
 					return TRUE;
 				}
-				$i++;
+				++$i;
 			}
 		}
Index: /trunk/workflow/inc/class.ui_adminprocesses.inc.php
===================================================================
--- /trunk/workflow/inc/class.ui_adminprocesses.inc.php	(revision 3167)
+++ /trunk/workflow/inc/class.ui_adminprocesses.inc.php	(revision 7655)
@@ -428,5 +428,5 @@
 
 					reset($config_type);
-					for($i = 0; ($current =& each($config_type) != null); $i++){
+					for($i = 0; ($current =& each($config_type) != null); ++$i){
 						$this->t->set_var(array(
 							'config_option_name'		=> $current['value'],
Index: /trunk/workflow/inc/log/Log.php
===================================================================
--- /trunk/workflow/inc/log/Log.php	(revision 3167)
+++ /trunk/workflow/inc/log/Log.php	(revision 7655)
@@ -481,5 +481,5 @@
         $class = isset($bt[$depth+1]['class']) ? $bt[$depth+1]['class'] : null;
         if ($class !== null && strcasecmp($class, 'Log_composite') == 0) {
-            $depth++;
+            ++$depth;
             $class = isset($bt[$depth + 1]) ? $bt[$depth + 1]['class'] : null;
         }
Index: /trunk/workflow/inc/log/examples/error_log.php
===================================================================
--- /trunk/workflow/inc/log/examples/error_log.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/error_log.php	(revision 7655)
@@ -4,5 +4,5 @@
 
 $logger = &Log::singleton('error_log', PEAR_LOG_TYPE_SYSTEM, 'ident');
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/null.php
===================================================================
--- /trunk/workflow/inc/log/examples/null.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/null.php	(revision 7655)
@@ -4,5 +4,5 @@
 
 $logger = &Log::singleton('null');
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/win.php
===================================================================
--- /trunk/workflow/inc/log/examples/win.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/win.php	(revision 7655)
@@ -5,5 +5,5 @@
 $conf = array('title' => 'Sample Log Output');
 $logger = &Log::singleton('win', 'LogWindow', 'ident', $conf);
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/file.php
===================================================================
--- /trunk/workflow/inc/log/examples/file.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/file.php	(revision 7655)
@@ -5,5 +5,5 @@
 $conf = array('mode' => 0600, 'timeFormat' => '%X %x');
 $logger = &Log::singleton('file', '/tmp/out.log', 'ident', $conf);
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/sql.php
===================================================================
--- /trunk/workflow/inc/log/examples/sql.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/sql.php	(revision 7655)
@@ -5,5 +5,5 @@
 $conf = array('dsn' => 'pgsql://jon@localhost+unix/logs');
 $logger = &Log::singleton('sql', 'log_table', 'ident', $conf);
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/syslog.php
===================================================================
--- /trunk/workflow/inc/log/examples/syslog.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/syslog.php	(revision 7655)
@@ -4,5 +4,5 @@
 
 $logger = &Log::singleton('syslog', LOG_LOCAL0, 'ident');
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/console.php
===================================================================
--- /trunk/workflow/inc/log/examples/console.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/console.php	(revision 7655)
@@ -4,5 +4,5 @@
 
 $logger = &Log::singleton('console', '', 'ident');
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/mail.php
===================================================================
--- /trunk/workflow/inc/log/examples/mail.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/mail.php	(revision 7655)
@@ -5,5 +5,5 @@
 $conf = array('subject' => 'Important Log Events');
 $logger = &Log::singleton('mail', 'webmaster@example.com', 'ident', $conf);
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/firebug.php
===================================================================
--- /trunk/workflow/inc/log/examples/firebug.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/firebug.php	(revision 7655)
@@ -8,5 +8,5 @@
                           PEAR_LOG_DEBUG);
 
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/log/examples/display.php
===================================================================
--- /trunk/workflow/inc/log/examples/display.php	(revision 795)
+++ /trunk/workflow/inc/log/examples/display.php	(revision 7655)
@@ -6,5 +6,5 @@
               'error_append'  => '</tt></font>');
 $logger = &Log::singleton('display', '', '', $conf, PEAR_LOG_DEBUG);
-for ($i = 0; $i < 10; $i++) {
+for ($i = 0; $i < 10; ++$i) {
     $logger->log("Log entry $i");
 }
Index: /trunk/workflow/inc/class.utils.xml.php
===================================================================
--- /trunk/workflow/inc/class.utils.xml.php	(revision 795)
+++ /trunk/workflow/inc/class.utils.xml.php	(revision 7655)
@@ -203,5 +203,5 @@
 		static $attrLevel = -1;
 		static $fnstAttr = TRUE;
-		$attrLevel++;
+		++$attrLevel;
 		// built $this->track;
 		$this->track[] = $tag;
Index: /trunk/workflow/inc/engine/class.ajax_ldap.inc.php
===================================================================
--- /trunk/workflow/inc/engine/class.ajax_ldap.inc.php	(revision 3167)
+++ /trunk/workflow/inc/engine/class.ajax_ldap.inc.php	(revision 7655)
@@ -155,6 +155,7 @@
 
 			$members = array();
+            $security_equals_count = count($security_equals);
 
-			for ($idx=0; $idx<count($security_equals); $idx++)
+			for ($idx=0; $idx<$security_equals_count; ++$idx)
 			{
 				$name = $this->id2name((int)$security_equals[$idx]);
Index: /trunk/workflow/inc/engine/src/GUI/GUI.php
===================================================================
--- /trunk/workflow/inc/engine/src/GUI/GUI.php	(revision 3167)
+++ /trunk/workflow/inc/engine/src/GUI/GUI.php	(revision 7655)
@@ -645,5 +645,5 @@
     {
       $result->Move($offset);
-      for ($i = 0; $i < $realMaxRecords; $i++)
+      for ($i = 0; $i < $realMaxRecords; ++$i)
       {
         $res = $result->fetchRow();
Index: /trunk/workflow/inc/engine/src/common/Base.php
===================================================================
--- /trunk/workflow/inc/engine/src/common/Base.php	(revision 3167)
+++ /trunk/workflow/inc/engine/src/common/Base.php	(revision 7655)
@@ -331,5 +331,5 @@
 			$qe = explode("?", $query);
 			$query = '';
-			for ($i = 0; $i < sizeof($qe) - 1; $i++) {
+			for ($i = 0; $i < sizeof($qe) - 1; ++$i) {
 				$query .= $qe[$i] . ":" . $i;
 			}
Index: /trunk/workflow/inc/engine/src/API/Instance.php
===================================================================
--- /trunk/workflow/inc/engine/src/API/Instance.php	(revision 3167)
+++ /trunk/workflow/inc/engine/src/API/Instance.php	(revision 7655)
@@ -906,5 +906,6 @@
     if(empty($theuser)) $theuser='*';
     $found = false;
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         // here we are in the good activity
@@ -944,5 +945,6 @@
    */
   function getActivityUser($activityId) {
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         return $this->activities[$i]['wf_user'];
@@ -967,5 +969,6 @@
       return false;
     }
-    for($i=0;$i<count($this->activities);$i++) 
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i)
     {
       if($this->activities[$i]['wf_activity_id']==$activityId) 
@@ -990,5 +993,6 @@
    */
   function getActivityStatus($activityId) {
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         return $this->activities[$i]['wf_status'];
@@ -1008,5 +1012,6 @@
   function setActivityStarted($activityId) {
     $now = date("U");
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         $this->activities[$i]['wf_started']=$now;
@@ -1028,5 +1033,6 @@
    */
   function getActivityStarted($activityId) {
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;++$i) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         return $this->activities[$i]['wf_started'];
@@ -1047,5 +1053,6 @@
   function _get_instance_activity($activityId) 
   {
-    for($i=0;$i<count($this->activities);$i++) {
+    $activities_count = count($this->activities);
+    for($i=0;$i<$activities_count;$i++) {
       if($this->activities[$i]['wf_activity_id']==$activityId) {
         return $this->activities[$i];
@@ -1295,5 +1302,5 @@
     else 
     {
-        $max++;
+        ++$max;
     }
     if($activity_type=='start')
@@ -1378,5 +1385,5 @@
         $this->unsetNextUser($cand);
         $this->sync();
-        $i++;
+        ++$i;
       }
       $this->unsetNextUser('*' . $activityId);
Index: /trunk/workflow/inc/engine/src/ProcessManager/ProcessManager.php
===================================================================
--- /trunk/workflow/inc/engine/src/ProcessManager/ProcessManager.php	(revision 5921)
+++ /trunk/workflow/inc/engine/src/ProcessManager/ProcessManager.php	(revision 7655)
@@ -299,5 +299,6 @@
 		$activities=Array();
 		$transitions=Array();
-		for($i=0;$i<count($this->tree[1]['children']);$i++) {
+        $tree_count = count($this->tree[1]['children']);
+		for($i=0;$i<$tree_count;++$i) {
 			// Process attributes
 			$z=$this->tree[1]['children'][$i];
@@ -306,10 +307,12 @@
 			//config values
 			if ($name=='configs') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 					$z2 = $this->tree[$z]['children'][$j];
 					// this is a config $name = $this->tree[$z2]['name'];
 					$aux = Array();
 					if($this->tree[$z2]['name']=='config') {
-						for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                        $tree_z2_count = count($this->tree[$z2]['children']);
+						for($k=0;$k<$tree_z2_count;++$k) {
 							$z3 = $this->tree[$z2]['children'][$k];
 							$name = trim($this->tree[$z3]['name']);
@@ -323,10 +326,12 @@
 			//activities
 			elseif($name=='activities') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 					$z2 = $this->tree[$z]['children'][$j];
 					// this is an activity $name = $this->tree[$z2]['name'];
 					$aux = Array();
 					if($this->tree[$z2]['name']=='activity') {
-						for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                        $tree_z2_count = count($this->tree[$z2]['children']);
+						for($k=0;$k<$tree_z2_count;++$k) {
 							$z3 = $this->curre[$z2]['children'][$k];
 							$name = trim($this->tree[$z3]['name']);
@@ -334,5 +339,6 @@
 							if($name=='roles') {
 								$roles=Array();
-								for($l=0;$l<count($this->tree[$z3]['children']);$l++) {
+                                $tree_z3_count = count($this->tree[$z3]['children']);
+								for($l=0;$l<$tree_z3_count;++$l) {
 									$z4 = $this->tree[$z3]['children'][$l];
 									$name = trim($this->tree[$z4]['name']);
@@ -354,5 +360,6 @@
 							{
 								$agents=Array();
-								for($l=0;$l<count($this->tree[$z3]['children']);$l++)
+                                $tree_z3_count = count($this->tree[$z3]['children']);
+								for($l=0;$l<$tree_z3_count;$l++)
 								{
 									$z4 = $this->tree[$z3]['children'][$l];
@@ -362,5 +369,6 @@
 									{
 										$agent = array();
-										for($m=0;$m<count($this->tree[$z4]['children']);$m++)
+                                        $tree_z4_count = count($this->tree[$z4]['children']);
+										for($m=0;$m<$tree_z4_count;++$m)
 										{
 											$z5 = $this->tree[$z4]['children'][$m];
@@ -375,5 +383,6 @@
 											elseif ($name=='agent_datas')
 											{
-												for($n=0;$n<count($this->tree[$z5]['children']);$n++)
+                                                $tree_z5_count = count($this->tree[$z5]['children']);
+												for($n=0;$n<$tree_z5_count;++$n)
 												{
 													$z6 = $this->tree[$z5]['children'][$n];
@@ -383,5 +392,6 @@
 													if ($name=='agent_data')
 													{
-														for($o=0;$o<count($this->tree[$z6]['children']);$o++)
+                                                        $tree_z6_count = count($this->tree[$z6]['children']);
+														for($o=0;$o<$tree_z6_count;++$o)
 														{
 															$z7 = $this->tree[$z6]['children'][$o];
@@ -419,10 +429,12 @@
 				}
 			} elseif($name=='transitions') {
-				for($j=0;$j<count($this->tree[$z]['children']);$j++) {
+                $tree_z_count = count($this->tree[$z]['children']);
+				for($j=0;$j<$tree_z_count;++$j) {
 					$z2 = $this->tree[$z]['children'][$j];
 					// this is an activity $name = $this->tree[$z2]['name'];
 					$aux=Array();
 					if($this->tree[$z2]['name']=='transition') {
-						for($k=0;$k<count($this->tree[$z2]['children']);$k++) {
+                        $tree_z2_count = count($this->tree[$z2]['children']);
+						for($k=0;$k<$tree_z2_count;++$k) {
 							$z3 = $this->tree[$z2]['children'][$k];
 							$name = trim($this->tree[$z3]['name']);
@@ -573,5 +585,5 @@
 							if ($key)
 							{
-								$countfields++;
+								++$countfields;
 								$query .= "$key = ? ,";
 								$bindvars[] = $value;
@@ -729,5 +741,5 @@
 					if ($key)
 					{
-						$countfields++;
+						++$countfields;
 						$query .= "$key = ? ,";
 						$bindvars[] = $value;
@@ -1084,5 +1096,6 @@
 		} else {
 			$parts[0]++;
-			for ($i = 1; $i < count($parts); $i++) {
+            $parts_count = count($parts);
+			for ($i = 1; $i < $parts_count; ++$i) {
 				$parts[$i] = 0;
 			}
Index: /trunk/workflow/inc/engine/src/ProcessManager/ActivityManager.php
===================================================================
--- /trunk/workflow/inc/engine/src/ProcessManager/ActivityManager.php	(revision 3167)
+++ /trunk/workflow/inc/engine/src/ProcessManager/ActivityManager.php	(revision 7655)
@@ -539,5 +539,6 @@
     
     while($this->_list_has_unvisited_nodes($nodes) && !$this->_node_in_list($start_node,$nodes)) {
-      for($i=0;$i<count($nodes);$i++) {
+      $nodes_count = count($nodes);
+      for($i=0;$i<$nodes_count;++$i) {
         $node=&$nodes[$i];
         if(!$node['visited']) {
Index: /trunk/workflow/inc/hook_home.inc.php
===================================================================
--- /trunk/workflow/inc/hook_home.inc.php	(revision 3167)
+++ /trunk/workflow/inc/hook_home.inc.php	(revision 7655)
@@ -34,5 +34,5 @@
 	}
 	$extra_data .=  "<td align=center style='valign:top;width:10em;padding:2px'><a target='_blank' href='".$external["wf_ext_link"]."' nowrap><img width='32px' height='32px' align='center' src='".$external["image"]."'/><br>".$external["name"]."</a></td>";
-	$next_br++;
+	++$next_br;
 	if($next_br == 3){
 		$extra_data .= "</tr>";
Index: /trunk/workflow/inc/class.JobScheduler.inc.php
===================================================================
--- /trunk/workflow/inc/class.JobScheduler.inc.php	(revision 4728)
+++ /trunk/workflow/inc/class.JobScheduler.inc.php	(revision 7655)
@@ -111,5 +111,5 @@
 		{
 			$active = false;
-			for ($i = 0; ($i < $numerOfJobs) && !$active; $i++)
+			for ($i = 0; ($i < $numerOfJobs) && !$active; ++$i)
 				$active = $active || $runningJobs[$i]->isActive();
 			usleep($timeStep);
@@ -120,5 +120,5 @@
 		while ($active);
 
-		for ($i = 0; $i < $numerOfJobs; $i++)
+		for ($i = 0; $i < $numerOfJobs; ++$i)
 		{
 			if (!$runningJobs[$i]->isActive())
